PostX programs: Quick terminal, Power manager PostX calendar

19th of May 2017: The following changes apply.
* Quick Terminal 0.5.2, minor upgrade: some entries moved to right-click menu.

* Obsolete CSS removed from Quick Terminal.
* Power-manager-QT v.5.1: Icons removed. Now, labels with texts.

 

linux screenshots, linux screenshots
Screenshot showing postx-programs upgrade (as it was during May 2017)

Quick Terminal: Download Quick Terminal

Copyright (c) 2017 JJ Posti <techtimejourney.net>”)
 Quick terminal is a terminal emulator written with Python. The program comes with ABSOLUTELY NO WARRANTY; for details see: http://www.gnu.org/copyleft/gpl.html. This is free software, and you are welcome to redistribute it under GPL Version 2, June 1991.

Supporting tools for Quick Terminal

Simple-Mount: Mounting tool.

Miimo-Tool: Decompress and compress from command line. This tool is an addition for Quick Terminal from the year 2015 and under GPL v.3. Get it here. 

Tip. Starter script for Miimo program(included in the Miimo-Tool package) allows you to navigate to the directory which contains the content you want to compress/decompress. 

Default locations/execution for Miimo:

python /usr/share/miimo.py

sh /usr/share/starter.sh

 

16th of August: Power Manager has upgraded to version 6.

Power-Manager: Download Power-manager-QT v.5.1

#Power manager-QT v.5.1 Copyright (c) 2017 JJ Posti <techtimejourney.net>
#This is a power manager application.The program comes with ABSOLUTELY NO WARRANTY;
#for details see: http://www.gnu.org/copyleft/gpl.html.
#This is free software, and you are welcome to redistribute it under
#GPL Version 2, June 1991 This is the QT5 version” )

PostX-Calendar: Download PostX-Calendar

#PostX-Calendar Copyright (c) 2016 JJ Posti <techtimejourney.net>
#PostX-Calendar is a python calendar application.The program comes with ABSOLUTELY NO WARRANTY;
#for details see: http://www.gnu.org/copyleft/gpl.html.
#This is free software, and you are welcome to redistribute it under
#GPL Version 2, June 1991 This is the QT5 version” )

Dependencies:

The list below should be enough:

python3 python-pyqt5 gir1.2-vte-2.91  python-gi python3-gi python-minimal python-gobject

Additional dependencies for Power-Manager:This tool has Openbox integrations in it. Screen locking uses i3lock program.

Run programs via terminal like this: python something.py

If needed make the files executable with: chmod +x something.py

If in  any doubt also see this.

For older versions see:http://www.techtimejourney.net/postx-programs-package-upgraded/